<?php

namespace Bixo\ImportExport\Policies;

use Illuminate\Foundation\Auth\User as Authenticatable;

trait ImportExportExim
{

    /**
     * Determine if the given user can approve the given import_export.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function import(Authenticatable $user)
    {
        if ($user->canDo('import_export.import_export.import')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given import_export.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function export(Authenticatable $user)
    {
        if ($user->canDo('import_export.import_export.export')) {
            return true;
        }

        return false;
    }
}
