<?php


namespace Bixo\ImportExport\Policies;

use Litepie\User\Interfaces\UserPolicyInterface;

trait ImportExportReport
{

    /**
     * Determine if the given user can approve the given import_export.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function povote(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('import_export.import_export.report.povote')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given import_export.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function report(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('import_export.import_export.report')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given import_export.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function download(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('import_export.import_export.report.download')) {
            return true;
        }

        return false;
    }
}
