<?php

namespace Bixo\ImportExport\Policies;

use Bixo\ImportExport\Models\ImportExport;
use Illuminate\Foundation\Auth\User as Authenticatable;

trait ImportExportWorkflow
{

    /**
     * Determine if the given user can approve the given import_export.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function approve(Authenticatable $user, ImportExport $import_export)
    {
        if ($user->canDo('import_export.import_export.approve')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given import_export.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function submit(Authenticatable $user, ImportExport $import_export)
    {
        if ($user->canDo('import_export.import_export.submit')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given import_export.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function publish(Authenticatable $user, ImportExport $import_export)
    {
        if ($user->canDo('import_export.import_export.publish')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given import_export.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function unpublish(Authenticatable $user, ImportExport $import_export)
    {
        if ($user->canDo('import_export.import_export.unpublish')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given import_export.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function archive(Authenticatable $user, ImportExport $import_export)
    {
        if ($user->canDo('import_export.import_export.archive')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given import_export.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function unarchive(Authenticatable $user, ImportExport $import_export)
    {
        if ($user->canDo('import_export.import_export.unarchive')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given import_export.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function reject(Authenticatable $user, ImportExport $import_export)
    {
        if ($user->canDo('import_export.import_export.reject')) {
            return true;
        }

        return false;
    }

}
