<?php

namespace Bixo\ImportExport\Providers;

use Illuminate\Foundation\Support\Providers\EventServiceProvider as ServiceProvider;
use Bixo\ImportExport\Events\ImportExportAction;
use Bixo\ImportExport\Events\ImportExportWorkflow;
use Bixo\ImportExport\Listeners\ImportExportAction as ImportExportActionListener;
use Bixo\ImportExport\Listeners\ImportExportWorkflow as ImportExportWorkflowListener;


class EventServiceProvider extends ServiceProvider
{
    /**
     * The event listener mappings for the application.
     *
     * @var array
     */
    protected $listen = [
    
        ImportExportAction::class => [
            ImportExportActionListener::class,
        ],
        ImportExportWorkflow::class => [
            ImportExportWorkflowListener::class,
        ],
    ];

    /**
     * Register any other events for your application.
     *
     * @param \Illuminate\Contracts\Events\Dispatcher $events
     *
     * @return void
     */
    public function boot()
    {
        parent::boot();

        //
    }
}
